"use strict";

exports.__esModule = true;
exports.createPageDependency = void 0;

var _ = require("../");

var _internal = require("./internal");

const createPageDependency = ({
  path,
  nodeId,
  connection
}) => {
  const {
    componentDataDependencies
  } = _.store.getState(); // Check that the dependencies aren't already recorded so we
  // can avoid creating lots of very noisy actions.


  let nodeDependencyExists = false;
  let connectionDependencyExists = false;

  if (!nodeId) {
    nodeDependencyExists = true;
  }

  if (nodeId && componentDataDependencies.nodes.has(nodeId) && componentDataDependencies.nodes.get(nodeId).has(path)) {
    nodeDependencyExists = true;
  }

  if (!connection) {
    connectionDependencyExists = true;
  }

  if (connection && componentDataDependencies.connections.has(connection) && componentDataDependencies.connections.get(connection).has(path)) {
    connectionDependencyExists = true;
  }

  if (nodeDependencyExists && connectionDependencyExists) {
    return;
  } // It's new, let's dispatch it


  _.store.dispatch((0, _internal.createPageDependency)({
    path,
    nodeId,
    connection
  }));
};

exports.createPageDependency = createPageDependency;
//# sourceMappingURL=add-page-dependency.js.map