"use strict";

var _addPageDependency = require("../redux/actions/add-page-dependency");

const {
  LocalNodeModel
} = require(`./node-model`);

const {
  defaultFieldResolver
} = require(`./resolvers`);

const withResolverContext = ({
  schema,
  schemaComposer,
  context,
  customContext,
  nodeModel,
  stats
}) => {
  const nodeStore = require(`../db/nodes`);

  if (!nodeModel) {
    nodeModel = new LocalNodeModel({
      nodeStore,
      schema,
      schemaComposer,
      createPageDependency: _addPageDependency.createPageDependency
    });
  }

  return { ...(context || {}),
    ...(customContext || {}),
    defaultFieldResolver,
    nodeModel: nodeModel.withContext({
      path: context ? context.path : undefined
    }),
    stats
  };
};

module.exports = withResolverContext;
//# sourceMappingURL=context.js.map