"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.createNodeId = createNodeId;

var _v = _interopRequireDefault(require("uuid/v5"));

var _reporter = _interopRequireDefault(require("gatsby-cli/lib/reporter"));

const seedConstant = `638f7a53-c567-4eca-8fc1-b23efb1cfb2b`;
/**
 * createNodeId() Generate UUID
 *
 * @param {String | Number} id - A string of arbitrary length
 * @param {String} namespace - Namespace to use for UUID
 *
 * @return {String} - UUID
 */

function createNodeId(id, namespace) {
  if (typeof id === `number`) {
    id = id.toString();
  } else if (typeof id !== `string`) {
    _reporter.default.panic(`Parameter passed to createNodeId must be a String or Number (got ${typeof id})`);
  }

  return (0, _v.default)(id, (0, _v.default)(namespace, seedConstant));
}
//# sourceMappingURL=create-node-id.js.map